#ifndef SamiAuthAPIApi_H_
#define SamiAuthAPIApi_H_

#include <FNet.h>
#include "SamiApiClient.h"
#include "SamiError.h"

using Tizen::Base::String;

using namespace Tizen::Net::Http;

namespace Swagger {

class SamiAuthAPIApi {
public:
  SamiAuthAPIApi();
  virtual ~SamiAuthAPIApi();

  
  String* 
  authLoginPostWithCompletion(String* login, String* salt, String* response, void (* handler)(String*, SamiError*));
  
  String* 
  authStartGetWithCompletion(String* login, void (* handler)(String*, SamiError*));
  
  static String getBasePath() {
    return L"https://www.1gb.ru/api";
  }

private:
  SamiApiClient* client;
};


} /* namespace Swagger */

#endif /* SamiAuthAPIApi_H_ */
