#ifndef SamiHostingftpAPIApi_H_
#define SamiHostingftpAPIApi_H_

#include <FNet.h>
#include "SamiApiClient.h"
#include "SamiError.h"

#include "SamiObject.h"
using Tizen::Base::String;

using namespace Tizen::Net::Http;

namespace Swagger {

class SamiHostingftpAPIApi {
public:
  SamiHostingftpAPIApi();
  virtual ~SamiHostingftpAPIApi();

  
  IList* 
  ftpListGetWithCompletion(String* token, void (* handler)(IList*, SamiError*));
  
  static String getBasePath() {
    return L"https://www.1gb.ru/api";
  }

private:
  SamiApiClient* client;
};


} /* namespace Swagger */

#endif /* SamiHostingftpAPIApi_H_ */
