#ifndef SamiHostingiisAPIApi_H_
#define SamiHostingiisAPIApi_H_

#include <FNet.h>
#include "SamiApiClient.h"
#include "SamiError.h"

#include "SamiObject.h"
using Tizen::Base::String;

using namespace Tizen::Net::Http;

namespace Swagger {

class SamiHostingiisAPIApi {
public:
  SamiHostingiisAPIApi();
  virtual ~SamiHostingiisAPIApi();

  
  IList* 
  iisListGetWithCompletion(String* token, void (* handler)(IList*, SamiError*));
  
  static String getBasePath() {
    return L"https://www.1gb.ru/api";
  }

private:
  SamiApiClient* client;
};


} /* namespace Swagger */

#endif /* SamiHostingiisAPIApi_H_ */
