#ifndef SamiMicrosoftSQLServerApi_H_
#define SamiMicrosoftSQLServerApi_H_

#include <FNet.h>
#include "SamiApiClient.h"
#include "SamiError.h"

#include "SamiObject.h"
using Tizen::Base::String;

using namespace Tizen::Net::Http;

namespace Swagger {

class SamiMicrosoftSQLServerApi {
public:
  SamiMicrosoftSQLServerApi();
  virtual ~SamiMicrosoftSQLServerApi();

  
  IList* 
  mssqlListGetWithCompletion(String* token, void (* handler)(IList*, SamiError*));
  
  static String getBasePath() {
    return L"https://www.1gb.ru/api";
  }

private:
  SamiApiClient* client;
};


} /* namespace Swagger */

#endif /* SamiMicrosoftSQLServerApi_H_ */
