#ifndef SamiVDSHyperVOpenVZApi_H_
#define SamiVDSHyperVOpenVZApi_H_

#include <FNet.h>
#include "SamiApiClient.h"
#include "SamiError.h"

using Tizen::Base::Integer;
using Tizen::Base::String;
using Tizen::Base::Boolean;
#include "SamiObject.h"

using namespace Tizen::Net::Http;

namespace Swagger {

class SamiVDSHyperVOpenVZApi {
public:
  SamiVDSHyperVOpenVZApi();
  virtual ~SamiVDSHyperVOpenVZApi();

  
  String* 
  vdsCreateGetWithCompletion(String* token, String* type, Integer* crHvmem, Integer* crHvdsk, Integer* crHvcpu, String* template, String* forceMemo, String* hv1gbPanelVersion, Boolean* panelInstall, void (* handler)(String*, SamiError*));
  
  String* 
  vdsDeleteGetWithCompletion(String* token, Integer* key, Boolean* forceCritical, void (* handler)(String*, SamiError*));
  
  IList* 
  vdsIpListGetWithCompletion(String* token, Integer* key, void (* handler)(IList*, SamiError*));
  
  IList* 
  vdsListGetWithCompletion(String* token, Integer* key, void (* handler)(IList*, SamiError*));
  
  String* 
  vdsRebootGetWithCompletion(String* token, Integer* key, void (* handler)(String*, SamiError*));
  
  IList* 
  vdsTemplatesListGetWithCompletion(String* token, void (* handler)(IList*, SamiError*));
  
  static String getBasePath() {
    return L"https://www.1gb.ru/api";
  }

private:
  SamiApiClient* client;
};


} /* namespace Swagger */

#endif /* SamiVDSHyperVOpenVZApi_H_ */
